DirectoryFileFilter (Commons IO 2.5)
Date: 2016-12-01

org.apache.commons.io.filefilter

## Class DirectoryFileFilter

- java.lang.Object
- - org.apache.commons.io.filefilter.AbstractFileFilter
  - - org.apache.commons.io.filefilter.DirectoryFileFilter

- All Implemented Interfaces:
    java.io.FileFilter, java.io.FilenameFilter, java.io.Serializable, IOFileFilter

      public class DirectoryFileFilter
      extends AbstractFileFilter
      implements java.io.Serializable

  This filter accepts `File`s that are directories.

  For example, here is how to print out a list of the current directory's subdirectories:

       File dir = new File(".");
       String[] files = dir.list( DirectoryFileFilter.INSTANCE );
       for ( int i = 0; i < files.length; i++ ) {
           System.out.println(files[i]);
       }

  Since:
    1.0
  Version:
    $Id: DirectoryFileFilter.java 1642757 2014-12-01 21:09:30Z sebb $
  See Also:
    `FileFilterUtils.directoryFileFilter()`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IOFileFilter` | `DIRECTORY` Singleton instance of directory filter.
    `static IOFileFilter` | `INSTANCE` Singleton instance of directory filter.
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DirectoryFileFilter()` Restrictive consructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(java.io.File file)` Checks to see if the file is a directory.

    - ### Methods inherited from class org.apache.commons.io.filefilter.AbstractFileFilter

      `accept, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### DIRECTORY

          public static final IOFileFilter DIRECTORY

      Singleton instance of directory filter.
      Since:
        1.3

    - #### INSTANCE

          public static final IOFileFilter INSTANCE

      Singleton instance of directory filter. Please use the identical DirectoryFileFilter.DIRECTORY constant. The new name is more JDK 1.5 friendly as it doesn't clash with other values when using static imports.

  - ### Constructor Detail

    - #### DirectoryFileFilter

          protected DirectoryFileFilter()

      Restrictive consructor.

  - ### Method Detail

    - #### accept

          public boolean accept(java.io.File file)

      Checks to see if the file is a directory.
      Specified by:
        `accept` in interface `java.io.FileFilter`
      Specified by:
        `accept` in interface `IOFileFilter`
      Overrides:
        `accept` in class `AbstractFileFilter`
      Parameters:
        `file` - the File to check
      Returns:
        true if the file is a directory

Copyright (c) 2002-2016 Apache Software Foundation